For the complete documentation index, see llms.txt. This page is also available as Markdown.

/api/biller/list

get

Get list of billers

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
deletedstringOptionalDefault: 0
cascadeidintegerOptional
billerstringOptional
detailstringOptional
biller_searchstringOptional
Responses
200

success

successbooleanOptionalExample: true
get/api/biller/list
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array(
		'deleted' => 1,
		'biller' => 'CCBILL,NETBILLING'
	);

$request = array(
	'method' => 'GET',
	'path' => 'biller/list',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "success": true,
  "total_count": 2,
  "billers": [
    {
      "billerid": "2",
      "networkid": "0",
      "biller": "CCBILL",
      "last_poll": "",
      "form_method": "0",
      "deleted": "0",
      "type": "0",
      "last_poll_run": "0",
      "permanently_deleted": "0",
      "last_ip_update": "1565382538",
      "last_sync_start": "0",
      "last_sync_end": "0",
      "last_sync_message": "",
      "accountinfo": [
        {
          "field": "biller_acctinfo_clientAccnum",
          "display_name": "Account Number",
          "value": "",
          "type": "text",
          "values": false,
          "unique": 1,
          "required": 1
        },
        {
          "field": "biller_acctinfo_dlusername",
          "display_name": "Datalink Username",
          "value": "",
          "type": "",
          "values": false,
          "unique": 0,
          "required": 1
        },
        {
          "field": "biller_acctinfo_dlpassword",
          "display_name": "Datalink Password",
          "value": "****",
          "type": "password",
          "values": false,
          "unique": 0,
          "required": 1
        },
        {
          "field": "biller_acctinfo_adv_dynamic_upgrade",
          "display_name": "Advanced Dynamic Upgrades",
          "value": "False",
          "type": "checkbox",
          "values": false,
          "unique": 0,
          "required": 0
        }
      ],
      "nice_name": "CCBill",
      "nice_name_short": "CCBill"
    },
    {
      "billerid": "1",
      "networkid": "0",
      "biller": "NETBILLING",
      "last_poll": "",
      "form_method": "0",
      "deleted": "0",
      "type": "0",
      "last_poll_run": "0",
      "permanently_deleted": "0",
      "last_ip_update": "1533153249",
      "last_sync_start": "0",
      "last_sync_end": "0",
      "last_sync_message": "",
      "accountinfo": [
        {
          "field": "biller_acctinfo_account_id",
          "display_name": "Account",
          "value": "1234",
          "type": "text",
          "values": false,
          "unique": 1,
          "required": 1
        },
        {
          "field": "biller_acctinfo_dynip_sec_code",
          "display_name": "Dynamic IP Code",
          "value": "",
          "type": "",
          "values": false,
          "unique": 0,
          "required": 0
        }
      ],
      "nice_name": "NETbilling",
      "nice_name_short": "NETbilling"
    }
  ]
}

Last updated

Was this helpful?